vim 操作系统命令注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1183602 漏洞类型 操作系统命令注入
发布时间 2009-02-21 更新时间 2009-02-21
CVE编号 CVE-2008-6235 CNNVD-ID CNNVD-200902-486
漏洞平台 N/A CVSS评分 9.3
|漏洞来源
https://www.securityfocus.com/bid/84536
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200902-486
|漏洞详情
Vim是一款开源的、可配置的用于创建和更改任何类型文本的文本编辑器,它可使用在大多数UNIX系统和AppleOSX中。Vim7.0版本和7.1版本的Netrw插件(netrw.vim)允许用户协助式攻击者借助在(1)"D(delete)指令或(2)b:netrw_curdir自变量中运行的一个文件的外壳元字符,执行任意指令,例如运行netrw.v4和netrw.v5测试版。
|受影响的产品
Vim Vim 7.1 Vim Vim 7.0
|参考资料

来源:MISC
链接:http://www.rdancer.org/vulnerablevim-netrw.v2.html
来源:MISC
链接:http://www.rdancer.org/vulnerablevim-netrw.html
来源:REDHAT
名称:RHSA-2008:0580
链接:http://www.redhat.com/support/errata/RHSA-2008-0580.html
来源:MISC
链接:http://www.rdancer.org/vulnerablevim-netrw.v5.html
来源:MLIST
名称:[oss-security]20081020CVErequest(vim)
链接:http://www.openwall.com/lists/oss-security/2008/10/20/2
来源:MLIST
名称:[oss-security]20081016CVErequest-Vimnetrw.plugin
链接:http://www.openwall.com/lists/oss-security/2008/10/16/2
来源:SECUNIA
名称:34418
链接:http://secunia.com/advisories/34418
来源:SUSE
名称:SUSE-SR:2009:007
链接:http://lists.opensuse.org/opensuse-security-announce/2009-03/msg00004.html